#!/usr/bin/env bash
# Description: Auto-Configurator of Subdirectory Quota
# Copyright (C) 2012-2021 Eduardo Moraes <emoraes25@gmail.com>
# This file is part of CID (Closed In Directory).
#
# CID is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# CID is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with CID.  If not, see <http://www.gnu.org/licenses/>.
#------------------------------------------------------------------------#


. ${0%/*}/functions.bash

[ -d "$1" -a -n "$2" ] || exit 1

unset sharequotadev

Addquota "$1" "$2" "${3:-0}" 'Yes' > "$TEMPFILE" 2>&1
${0%/*}/logger.bash "$TEMPFILE" "$0" $?

exit 0